//
// Name: INTERSTELLAR CONSOLE -- Return Dome Mode Flag
// Author: Misato Observatory, Wakayama, Japan
// License: GPL (General Public License)
//

if (typeof getFlagDomeMode === 'undefined') {

  function getFlagDomeMode()
  {

    var arr_objtst = StelSkyLayerMgr.getAllKeys();

    var flag_existence = false;
    if ( 0 <= arr_objtst.indexOf("0000_dome") ) {
      flag_existence = true;
    }

    return flag_existence;

  }

}

